package v2category_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type V2CategoryGroupRequest struct {
	Company *common.CompanyRequest `json:"company,omitempty"`
}

func (obj V2CategoryGroupRequest) GetUrl() string {
	return "/v2/category/group"
}

func (obj V2CategoryGroupRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
